package com.rjconsultores.ventaboletos.relatorios.utilitarios;

import java.math.BigDecimal;

/**
 * @author valdevir
 *
 */
public class RelatorioIndiceIRKBean {

	/**
	 * Valor estipulado pela empresa (definido na configuração de empresa)
	 */
	private BigDecimal irkMinimo;
	/**
	 *  Valor gerado através (IRK minimo x KM da Linha)
	 */
	private BigDecimal receitaMinima;
	
	/**
	 * Valor Gerado Através (Total da Receita daquele horário - a Receita minima)
	 */
	private BigDecimal diferencaReceitas;
	/**
	 * Grupo Ruta
	 */
	private String grupoRuta;
	/**
	 * Hora Corrida
	 */
	private String hora;
	/**
	 * Num Corrida
	 */
	private Integer servico;
	/**
	 * Sentido Linha (Ida/Volta)
	 */
	private String sentido;

	/**
	 * Extensão da linha em Km
	 */
	private BigDecimal extensao;
	/**
	 * Soma do valor de passagens (Tarifa)
	 */
	private BigDecimal passagens;
	/**
	 * Soma do valor de seguro (Seguro Tabela)
	 */
	private BigDecimal seguro;
	/**
	 * Total das Receita do horário (Passagem + pedágio + seguro + Taxa de Embarque)
	 */
	private BigDecimal total;
	/**
	 * 
	 */
	private BigDecimal totalViagem;
	/**
	 * Total Kilometragem Rodado da Linha para o período
	 */
	private BigDecimal kmRodado;
	/**
	 * IRK "Indice de Receita por Kilometro": Valor Gerado Através (Total/Km) onde Total é o somatório do valor das passagens do serviço incluído venda embarcada
	 */
	private BigDecimal irk;
	/**
	 * 
	 */
	private BigDecimal rsViagem;
	/**
	 * valor de Taxa Embarque do Horário
	 */
	private BigDecimal txEmbarque;
	/**
	 * valor de pedágio do Horário
	 */
	private BigDecimal pedagio;
	/**
	 * descrição da linha
	 */
	private String descRuta;
	
	private Integer rutaId;
	
	/**
	 * descrição da origem do tercho
	 */
	private String descOrigemTrecho;
	
	/**
	 * descrição do destino do tercho
	 */	
	private String descDestinoTrecho;
	
	/**
	 * descrição do prefixo da linhao
	 */
	private String prefixoLinha;
	
	private BigDecimal passageiros;
	
	/**
	 * tipo de serviço da corrida
	 */
	private String tipoServico;
	
	public Integer getRutaId() {
		return rutaId;
	}

	public void setRutaId(Integer rutaId) {
		this.rutaId = rutaId;
	}

	public String getSentido() {
		return sentido;
	}

	public String getGrupoRuta() {
		return grupoRuta;
	}

	public void setGrupoRuta(String grupoRuta) {
		this.grupoRuta = grupoRuta;
	}

	public String getHora() {
		return hora;
	}

	public void setHora(String hora) {
		this.hora = hora;
	}

	public Integer getServico() {
		return  servico;
	}

	public void setServico(Integer servico) {
		this.servico = servico;
	}

	public BigDecimal getExtensao() {
		return extensao == null ? BigDecimal.ZERO : extensao;
	}

	public void setExtensao(BigDecimal extensao) {
		this.extensao = extensao;
	}

	public BigDecimal getPassagens() {
		return passagens == null ? BigDecimal.ZERO : passagens;
	}

	public void setPassagens(BigDecimal passagens) {
		this.passagens = passagens;
	}

	public BigDecimal getSeguro() {
		return seguro == null ? BigDecimal.ZERO : seguro;
	}

	public void setSeguro(BigDecimal seguro) {
		this.seguro = seguro;
	}

	public BigDecimal getTotal() {
		return total == null ? BigDecimal.ZERO : total;
	}

	public void setTotal(BigDecimal total) {
		this.total = total;
	}

	public BigDecimal getTotalViagem() {
		return totalViagem == null ? BigDecimal.ZERO : totalViagem;
	}

	public void setTotalViagem(BigDecimal totalViagem) {
		this.totalViagem = totalViagem;
	}

	public BigDecimal getKmRodado() {
		return kmRodado == null ? BigDecimal.ZERO : kmRodado;
	}

	public void setKmRodado(BigDecimal kmRodado) {
		this.kmRodado = kmRodado;
	}

	public BigDecimal getRsViagem() {
		return rsViagem == null ? BigDecimal.ZERO : rsViagem;
	}

	public void setRsViagem(BigDecimal rsViagem) {
		this.rsViagem = rsViagem;
	}

	public BigDecimal getTxEmbarque() {
		return txEmbarque;
	}

	public void setTxEmbarque(BigDecimal txEmbarque) {
		this.txEmbarque = txEmbarque;
	}

	public BigDecimal getPedagio() {
		return pedagio;
	}

	public void setPedagio(BigDecimal pedagio) {
		this.pedagio = pedagio;
	}

	public String getDescRuta() {
		return descRuta;
	}

	public void setDescRuta(String descRuta) {
		this.descRuta = descRuta;
	}

	public BigDecimal getIrkMinimo() {
		return irkMinimo;
	}

	public void setIrkMinimo(BigDecimal irkMinimo) {
		this.irkMinimo = irkMinimo;
	}

	public BigDecimal getReceitaMinima() {
		return receitaMinima;
	}

	public void setReceitaMinima(BigDecimal receitaMinima) {
		this.receitaMinima = receitaMinima;
	}

	public BigDecimal getDiferencaReceitas() {
		return diferencaReceitas;
	}

	public void setDiferencaReceitas(BigDecimal diferencaReceitas) {
		this.diferencaReceitas = diferencaReceitas;
	}

	public void setSentido(String sentido) {
		this.sentido = sentido;
	}
	
	public BigDecimal getIrk() {
		return irk;
	}

	public void setIrk(BigDecimal irk) {
		this.irk = irk;
	}

	public String getDescOrigemTrecho() {
		return descOrigemTrecho;
	}

	public void setDescOrigemTrecho(String descOrigemTrecho) {
		this.descOrigemTrecho = descOrigemTrecho;
	}

	public String getDescDestinoTrecho() {
		return descDestinoTrecho;
	}

	public void setDescDestinoTrecho(String descDestinoTrecho) {
		this.descDestinoTrecho = descDestinoTrecho;
	}

	public String getPrefixoLinha() {
		return prefixoLinha;
	}

	public void setPrefixoLinha(String prefixoLinha) {
		this.prefixoLinha = prefixoLinha;
	}

	public BigDecimal getPassageiros() {
		return passageiros;
	}

	public void setPassageiros(BigDecimal passageiros) {
		this.passageiros = passageiros;
	}

	public String getTipoServico() {
		return tipoServico;
	}

	public void setTipoServico(String tipoServico) {
		this.tipoServico = tipoServico;
	}
	
	
}
